#!theme defaults
#
#############################################################
##
## Sane defaults for Bashish
##
## It's perfectly ok to mock around and change values here
## though, most varaiables need to at least be defined
##
## the same variables as in the bashish themes are supported.
##
## These variables are fallbacks if the values aren't set in
## the main (that is the current theme if at the prompt or
## the bt-app theme if changing an application) theme-file 
##
## To override the 'theme' variables change the 
## bt/override/theme file
##
#############################################################

## just a default value
set bgcolor="000000"
set fgcolor=bbbbbb

## as regular terminals *should* be ;)
set afgcolor=white
set abgcolor=black

set xpointerfgcolor="bbbbbb"
set xpointerbgcolor="000000"

## shade the background translucent
set bgshade=50

## don't tint with any particular color
set bgtint=ffffff

## cursor color
set cursorcolor="000000"

## these are the ansi colors
## most ones taken from Mandrakes Eterm colors
set ansicolor_BLACK="000000"
set ansicolor_RED="9e1828"
set ansicolor_GREEN="aece92"
set ansicolor_YELLOW="968a38"
set ansicolor_BLUE="414171"
set ansicolor_MAGENTA="963c59"
set ansicolor_CYAN="418179"
set ansicolor_WHITE="aaaaaa"
set ansicolor_BRIGHTBLACK="666666"
set ansicolor_BRIGHTRED="cf6171"
set ansicolor_BRIGHTGREEN="c5f779"
set ansicolor_BRIGHTYELLOW="fff796"
set ansicolor_BRIGHTBLUE="4186be"
set ansicolor_BRIGHTMAGENTA="cf9ebe"
set ansicolor_BRIGHTCYAN="71bebe"
set ansicolor_BRIGHTWHITE="ffffff"

## normal size
set size_x=80
set size_y=40

## default to $TERM variable as title and icon
set title=$term
set icon=$title

## the clean atari-8x8 font as a default font
set xfont=atari-8x8.pcf.gz

## set imagefile to zero
set imagefile=""

## the snuffy vga font for the linux console
set lfont=default8x16.fon.gz

## the nufty herring icon
set dticon=herring.pm
set eicon=herring.png

## load bt/current defaults before a BT-APP application
if test "$BASHISH_BTAPP" = 1 ;then
	source $BASHISH_USERDIR/bt/current/theme `cat $BASHISH_USERDIR/bt/current/theme/theme-opts`
	
	## don't change a user changed size unless the BT-app theme forces it to
	set size_x=$user_size_X
	set size_y=$user_size_Y
fi

