%define name  bashish
%define version 1.9.21
%define	theme_version	1.0.0
%define	release		3
%define	serial		2

Summary:	A theme engine for text terminals
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	GPL
Group:		System Environment/Shells
Vendor:		Thomas Eriksson
Url:		http://bashish.sourceforge.net
Source0:	http://prdownloads.sourceforge.net/bashish/%{name}-%{version}.tar.gz
Source1:	http://prdownloads.sourceforge.net/bashish/bashish-themes-%{theme_version}.tar.gz
Provides:	bashish
Requires:	bash
BuildRoot:	/var/tmp/%{name}-%{version}
BuildArch:	noarch

%description

Bashish is a theme-engine that uses POSIX shells to
customize nearly all aspects of the terminal: title, colors, 
prompt, font, background, etc.

It has a modular design which makes it easy to add features
(and it does have a lot) while keeping good performance.

Bashish allows users to switch themes 'on the fly'.
Each console application may have it's own theme which automaticly
gets switched to when the application is started (an alias or
function will be created for each themed application).

%package themes
Summary:        Bashish Themes
Group:          System Environment/Shells

%description themes

Bashish Themes package

%prep
%setup
%build
%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

mkdir -p %{buildroot}/usr/bin
printf "\
#!/bin/sh
export BASHISH_USERDIR=\$HOME/.bashish/
export BASHISHDIR=/usr/share/bashish/
test -z "\$BASHISH_DISABLEUSERMODE" && if test -f \$BASHISH_USERDIR/modules/sh/usermode/main;then
. \$BASHISH_USERDIR/modules/sh/usermode/main
else
. \$BASHISHDIR/modules/sh/usermode/main
fi

" 1> %{buildroot}/usr/bin/bashish
chmod +x %{buildroot}/usr/bin/bashish
printf "\
#!bashish.conf
THEME="redhatfun"
DEFAULT_TERMINAL=""
DEFAULT_SHELL=""
" 1> bashish-root/modules/sh/conf/bashish.conf
  
  cd bashish-root

  ## create all directories
  for i in $(find . -type d) ; do
    mkdir -p %{buildroot}/usr/share/bashish/$i
  done

  ## copy all files
  for i in $(find . -type f) ; do
    cp $i %{buildroot}/usr/share/bashish/$i
  done

cd %{buildroot}
tar zxvf %{SOURCE1}
cd %{buildroot}/bashish-themes-%{theme_version}
./themeinstall %{buildroot}/usr/share/bashish
cd %{buildroot}
rm -rf %{buildroot}/bashish-themes-%{theme_version}

%clean
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%files
%defattr(-,root,root)
#%doc doc/* 
# Uncomment to get rid of rpm build errors of unpackaged files on newer systems.
# However it then includes bashish documentation twice. Once in standard redhat
# documentation directory and again in bashish's install path.
#%doc /usr/share/bashish/doc/*
%{_bindir}/bashish
%dir /usr/share/bashish/
%{_datadir}/bashish/bashish-version
%{_datadir}/bashish/bt
%{_datadir}/bashish/modules
%{_datadir}/bashish/profile
%{_datadir}/bashish/shexec
%{_datadir}/bashish/system
%{_datadir}/bashish/tmp

%files themes
%defattr(-,root,root)
%doc /usr/share/bashish/doc/Changelog-Themes
%{_datadir}/bashish/themelevel
%{_datadir}/bashish/themes

%changelog
* Fri Apr 11 2003 Tom Mahoney <coniptor@interfold.com>
- Modified spec to create themes rpm from new themes package.
- Mofified new themes packages themesinstaller script to accept path from
- command line.
- Also moved doc dir into new themes package as it seems to be apart
- of it now.

* Sat Mar 15 2003 Tom Mahoney <coniptor@interfold.com>
- Changed build architecture to noarch for more correct install.
- bashish rpm now requires bash to be installed.

* Fri Mar 14 2003 Thomas Eriksson <arne@users.sourceforge.net>
- Moved bashish documents out of the install path

* Tue Mar 12 2003 Tom Mahoney <coniptor@interfold.com>
- Now includes bashish install in addition to bashish documentation.
- Made bashish global script executable by default.

* Sat Mar 8 2003 Thomas Eriksson <arne@users.sourceforge.net>
- bashish spec file created?

